Package org.apache.sling.api.request.builder

# Interface SlingHttpServletResponseResult

All Superinterfaces:
  `Adaptable`, `javax.servlet.http.HttpServletResponse`, `javax.servlet.ServletResponse`, `SlingHttpServletResponse`

@ProviderType @Deprecated public interface SlingHttpServletResponseResult extends SlingHttpServletResponse
Deprecated.
Use `SlingJakartaHttpServletResponseResult` instead

This is an extension of a `SlingHttpServletResponse` to get the result from a processing operation.

Note: instances of this interface are not thread-safe.

Since:
  1.0 (Sling API Bundle 2.24.0)

## Field Summary

### Fields inherited from interface javax.servlet.http.HttpServletResponse

`SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

## Method Summary

Modifier and Type
Method
Description
`long`
`getContentLength()`
Deprecated.
Gets the content length
`@Nullable javax.servlet.http.Cookie`
`getCookie(String name)`
Deprecated.
Gets the named cookie.
`@Nullable javax.servlet.http.Cookie[]`
`getCookies()`
Deprecated.
Gets all cookies.
`byte[]`
`getOutput()`
Deprecated.
Gets the output as a byte array.
`@NotNull String`
`getOutputAsString()`
Deprecated.
Gets the output as a string.
`@Nullable String`
`getStatusMessage()`
Deprecated.
Gets the status message

### Methods inherited from interface org.apache.sling.api.adapter.Adaptable

`adaptTo`

### Methods inherited from interface javax.servlet.http.HttpServletResponse

`addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, getHeader, getHeaderNames, getHeaders, getStatus, getTrailerFields, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus, setTrailerFields`

### Methods inherited from interface javax.servlet.ServletResponse

`flushBuffer, getBufferSize, getCharacterEncoding, getContentType, getLocale, getOutputStream, getWriter, isCommitted, reset, resetBuffer, setBufferSize, setCharacterEncoding, setContentLength, setContentLengthLong, setContentType, setLocale`

## Method Details

### getContentLength

long getContentLength()
Deprecated.
Gets the content length

Returns:
  the content length or `-1` if not set

### getStatusMessage

@Nullable @Nullable String getStatusMessage()
Deprecated.
Gets the status message

Returns:
  the status message or `null`.

### getCookie

@Nullable @Nullable javax.servlet.http.Cookie getCookie(String name)
Deprecated.
Gets the named cookie.

Parameters:
  `name` - the name of the cookie
Returns:
  the cookie or `null` if no cookie with that name exists

### getCookies

@Nullable @Nullable javax.servlet.http.Cookie[] getCookies()
Deprecated.
Gets all cookies.

Returns:
  the array of cookies or `null` if no cookies were set

### getOutput

byte[] getOutput()
Deprecated.
Gets the output as a byte array.

Returns:
  the output as a byte array

### getOutputAsString

@NotNull @NotNull String getOutputAsString()
Deprecated.
Gets the output as a string.

Returns:
  the output as a string